AM261x MCU+ SDK: ICSS_EMAC_FwDynamicMmap Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
ICSS_EMAC_FwDynamicMmap Struct Reference
APIs for Networking modules » APIs for ICSS-EMAC

## Detailed Description

ICSS EMAC Dynamic Firmware Memory Map offsets.

## Data Fields
uint32_t | queueSizeOffset
uint32_t | queueOffset
uint32_t | queueDescriptorOffset
uint32_t | txQueueSize [ICSS_EMAC_NUMQUEUES-1U]
uint32_t | rxHostQueueSize [ICSS_EMAC_NUMQUEUES - 1U]
uint32_t | collisionQueueSize
uint32_t | p0Q1BufferDescOffset
uint32_t | p0ColBufferDescOffset
uint32_t | p0Q1BufferOffset
uint32_t | transmitQueuesBufferOffset
uint32_t | p0ColBufferOffset
uint32_t | hostQ1RxContextOffset
uint32_t | p1Q1SwitchTxContextOffset
uint32_t | portQueueDescOffset
uint32_t | q1EmacTxContextOffset
uint32_t | numQueues

## Field Documentation

## ◆ queueSizeOffset

uint32_t ICSS_EMAC_FwDynamicMmap::queueSizeOffset

offset for queue size

## ◆ queueOffset

uint32_t ICSS_EMAC_FwDynamicMmap::queueOffset

offset for queue

## ◆ queueDescriptorOffset

uint32_t ICSS_EMAC_FwDynamicMmap::queueDescriptorOffset

offset for queue descriptors

## ◆ txQueueSize

uint32_t ICSS_EMAC_FwDynamicMmap::txQueueSize[ICSS_EMAC_NUMQUEUES-1U]

TX queue sizes

## ◆ rxHostQueueSize

uint32_t ICSS_EMAC_FwDynamicMmap::rxHostQueueSize[ICSS_EMAC_NUMQUEUES - 1U]

RX Host queue sizes

## ◆ collisionQueueSize

uint32_t ICSS_EMAC_FwDynamicMmap::collisionQueueSize

Collision queue size

## ◆ p0Q1BufferDescOffset

uint32_t ICSS_EMAC_FwDynamicMmap::p0Q1BufferDescOffset

Port 0 Queue1 Buffer Descriptor offset

## ◆ p0ColBufferDescOffset

uint32_t ICSS_EMAC_FwDynamicMmap::p0ColBufferDescOffset

Port 0 Collision Buffer Descriptor offset

## ◆ p0Q1BufferOffset

uint32_t ICSS_EMAC_FwDynamicMmap::p0Q1BufferOffset

Port 0 Queue1 Buffer offset

## ◆ transmitQueuesBufferOffset

uint32_t ICSS_EMAC_FwDynamicMmap::transmitQueuesBufferOffset

Transmit Queue Buffer offset

## ◆ p0ColBufferOffset

uint32_t ICSS_EMAC_FwDynamicMmap::p0ColBufferOffset

Port 0 Collision Buffer offset

## ◆ hostQ1RxContextOffset

uint32_t ICSS_EMAC_FwDynamicMmap::hostQ1RxContextOffset

Receive Host Queue 1 Context offset

## ◆ p1Q1SwitchTxContextOffset

uint32_t ICSS_EMAC_FwDynamicMmap::p1Q1SwitchTxContextOffset

Port 1 queue 1 Switch TX Context offset

## ◆ portQueueDescOffset

uint32_t ICSS_EMAC_FwDynamicMmap::portQueueDescOffset

Port queue descriptor offset

## ◆ q1EmacTxContextOffset

uint32_t ICSS_EMAC_FwDynamicMmap::q1EmacTxContextOffset

Queueu1 Emac TX Context Offset

## ◆ numQueues

uint32_t ICSS_EMAC_FwDynamicMmap::numQueues

number of port queues